Subject: Re: [PATCH] branch: advice using git-help(1) instead of man(1)

From: "Kristoffer Haugsbakk" <[email-masked]>
Date: Tue, 02 Dec 2025 16:28:23 +0100

On Fri, Nov 28, 2025, at 17:40, Junio C Hamano wrote:
> [email-masked] writes:
>
>> From: Kristoffer Haugsbakk <[email-masked]>
>>
>> 8fbd903e (branch: advise about ref syntax rules, 2024-03-05) added
>> an advice about checking git-check-ref-format(1) for the ref syntax
>> rules. The advice uses man(1). It’s better to use Git’s own git-help(1)
>> instead of an external command.
>
> Substatiate "better" a bit better?  If there were a universal help
> facility, we wouldn't have had to invent our own, and that would
> have been even better, but since we do not live in such an ideal
> world, we cater to people who live in a man-less land by having our
> own.
>
> In other words, "An external command" is not the issue.  Some people
> living in a man-less land is.
>
>     ... for the ref syntax rules and refers to the man(1) command,
>     which may not be available on some platforms.  Refer to 'git
>     help' instead.

I thought that’s what I did. This is output from git(1), not from a
Debian/Ubuntu/Arch Linux distribution.

But people who only use Mac/Linux/(BSDs?) might not necessarily consider
this point. So I’ll make it clearer.